SAKURA RS WP SSL が有効化できない!対処法と設定方法(さくらサーバー利用)

WordPressで「SAKURA RS WP SSL 」のプラグインを有効化しようとしたら、

「重大なエラーを引き起こしたため、プラグインを有効化できませんでした。」

と表示されました。

「重大なエラー?」、何事?
Wordpressってfunctions.phpとかいじってても動かなくなる時あるし、自分の勉強不足とはいえ結構、面倒なんだよね。。。
っと一人ぼやきながら、Wordpressのバージョンアップなどを試みましたが有効化できず・・・。

PHPのバージョンが問題だった!

解決法は意外に簡単でした。
PHPのバージョンを最新のものにすればいいだけ。

まず、さくらサーバーのコントロールパネルにログインしたら、

1.左サイドメニューから「PHPのバージョン選択」をクリック。
2.PHPのバージョン選択で、最も新しいバージョンか推奨と書かれているバージョンをチェック。
3.「変更」のボタンをクリック。

※変更をクリックするとチェックボックスのチェックがなくなります。
すぐ上の「現在のバージョン」のバージョンが変わっていたらOKです。

WordPressのプラグインにアクセスして、「SAKURA RS WP SSL」を有効化できるか確認します。

設定方法

「SAKURA RS WP SSL」は、「http」にアクセスした場合、「https」に自動でリダイレクトさせるためのプラグインです。
ただ有効化しただけでは、リダイレクトされません。

下記の設定を行います。

1.Wordpressの左メニューの「設定」をクリック。
2.現れた左メニューの「SAKURA RS SSL」をクリック。
3.画面が上の画像のページに変わったら、チェックボックスにチェックを入れます。
4.「SSL化を実行する」ボタンをクリック。

これで設定は完了です。

あとは、検索エンジンなどから自分のサイトにアクセスして、ちゃんとリダイレクトされているか確認します。
アドレスバーに鍵マークが付いて、httpsになっていたらOKです。

You May Also Like !